Subject: [regext] I-D Action: draft-ietf-regext-rfc7482bis-00.txt

From: [email-masked]
Date: Fri, 05 Jun 2020 08:36:58 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Registration Protocols Extensions WG of the IETF.

        Title           : Registration Data Access Protocol (RDAP) Query Format
        Authors         : Scott Hollenbeck
                          Andy Newton
	Filename        : draft-ietf-regext-rfc7482bis-00.txt
	Pages           : 25
	Date            : 2020-06-05

Abstract:
   This document describes uniform patterns to construct HTTP URLs that
   may be used to retrieve registration information from registries
   (including both Regional Internet Registries (RIRs) and Domain Name
   Registries (DNRs)) using "RESTful" web access patterns.  These
   uniform patterns define the query syntax for the Registration Data
   Access Protocol (RDAP).

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-regext-rfc7482bis/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-regext-rfc7482bis-00
https://datatracker.ietf.org/doc/html/draft-ietf-regext-rfc7482bis-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Mario Loffredo <[email-masked]>
Date: Thu, 11 Jun 2020 17:14:09 +0200

Hi Scott,

please find below some possible changes to RFC7482bis.

1) Section 1. - I would replace "are" with "is" in the following sentence:

The intent of the patterns described here are to enable queries

2) Section 3.1.1 - I would remove the phrase "if possible" in the 
following sentence:

therefore, the

    corresponding syntax extension in RFC 6874 [RFC6874] MUST NOT be

    used, and servers are to ignore it if possible.

3) Section 4.1 - I would rewrite the following statement using 
MUST/REQUIRED

Only a single asterisk is allowed for a partial string search.

4) Section 4.1 - I would uppercase "should" in:

    Clients should avoid submitting a partial match search of Unicode

    characters where a Unicode character may be legally combined with

    another Unicode character or characters.

Best,

Mario

Il 05/06/2020 17:36, [email-masked] ha scritto:
> _______________________________________________
> regext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/regext

-- 
Dr. Mario Loffredo
Systems and Technological Development Unit
Institute of Informatics and Telematics (IIT)
National Research Council (CNR)
via G. Moruzzi 1, I-56124 PISA, Italy
Phone: +39.0503153497
Mobile: +39.3462122240
Web: http://www.iit.cnr.it/mario.loffredo
#pleasestayathome

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 17 Jun 2020 13:34:01 +0000

From: regext <[email-masked]> On Behalf Of Mario Loffredo
Sent: Thursday, June 11, 2020 11:14 AM
To: [email-masked]
Subject: [EXTERNAL] Re: [regext] I-D Action: draft-ietf-regext-rfc7482bis-00.txt

Hi Scott,

[SAH] Agreed.

2) Section 3.1.1 - I would remove the phrase "if possible" in the following sentence:

therefore, the

[SAH] Agreed.

3) Section 4.1 - I would rewrite the following statement using MUST/REQUIRED

[SAH] Suggestion: "A partial string search MUST NOT include more than one asterisk."

[SAH] Agreed.

Best,

Mario

Il 05/06/2020 17:36, [email-masked]<mailto:[email-masked]> ha scritto:

   Abstract:

   The IETF datatracker status page for this draft is:
   https://datatracker.ietf.org/doc/draft-ietf-regext-rfc7482bis/<https://secure-web.cisco.com/1qYqz0a9BpiU8XBrFUsF9Y9KTrIHZjCyk7toBOOeZc4BG7BMvSXlaRjQPeFU-3LmhAfeRfNjjsRoYRyxVpU3tL2wQk0m_WiIvsmCjV1hrQO80mWox-XLpFbQQs9_TeIF_pXfvwtEpVyZbAvShzo0C_a9XM2SESVDZ-h7uzqk1gX1n3Su4Fjb7obUsm3I_HGKLGcacaTBn6gNMBuU8VW5wyRVO4VJoXX4X2AAs0Zq7ve-GZoKl_a_7pbfiW-J9pLhRs0f_0BMqaJo83ZRISgjaeA/https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-regext-rfc7482bis%2F>

   There are also htmlized versions available at:
   https://tools.ietf.org/html/draft-ietf-regext-rfc7482bis-00<https://secure-web.cisco.com/1csSjZpsGgbrN0mMZZ78YpYSxbGCiQPlrlLQA6xKc3NUrhq6jP1qHUyuDKRrXM5R_eiu1IYsfdAemx_OZT3mjZ8cWOmih3Zu0WlICD1qUkpQ34W6Gh7QF38ihpCj8XgG8Nax5Ns-7pm9kObjx_ZCsMh0xX6Pb-FDxW7AnGR8ENTSqRcit4tO22twwSlHMFnAW8rYCeFQgAzwBY9c7o4pqk-V_Eb5bMWGw6_i47kr7sJZHUW-0a-D9GiqWspZyfq82bats9eZ4QXp7NDjZGeOi_c0rvB7OyMVLRTE8okdvVVU/https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-regext-rfc7482bis-00>
   https://datatracker.ietf.org/doc/html/draft-ietf-regext-rfc7482bis-00<https://secure-web.cisco.com/1Y3XfhrQnGgCvgWKWH1nPmdGv-QQJWhe54jQfsoojkzwdO5R7Qiey1GMpAQH3WqfT1MD-l5VjJiJGaGJFP-8yNdvH0e3DW0lwbloQJsSY8Z1jN5F_c3xPcC4QnzpOmXIMNVoiPsH0z4Q1lQr04mL0rMx2bGzTzq2QS6MLSLJ5vhnG4OsUd6bkG3UrRBsL4b8viNmvxqBtV8YO_ZIrFOHAynA83EzG6XDhjtJNnAxzgw3vHfXpOn5B9LiTq1sr3Lxczw9wl48eSapu1jEmPFGLZw/https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-regext-rfc7482bis-00>

   _______________________________________________
   regext mailing list
   [email-masked]<mailto:[email-masked]>
   https://www.ietf.org/mailman/listinfo/regext<https://secure-web.cisco.com/1SZNqFgR5JwjxI6MtiQBgnj5eQCoKlmYb3lvgy-LEPfvlbMSKdjVLz92uB98Eo9OyGF2GUy2d42C1dn-vSW4iq4m3MfJObe0G81dfK79dcoKuLNrmpnu2G16trKCc2WJEuUHZ5SwF-QfDUGE2RHSeo2sXwND6AlxO34gQnEL-naQzxNuZQsNe9gNmant5ribfsLZNUxQHwWqePQUKZlUC1EdeTeyqYUGTEyuACpUunHqmhKhwUoCOym8sg0nSoKQXStqypY7Pxh-2INRT0PymjA/https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fregext>

Web: http://www.iit.cnr.it/mario.loffredo<http://secure-web.cisco.com/1DJgr3g6CYX-zAgxOKFFY4jAFM0Ry1tsCwqypEhbwebLsm6SUkth7a9GbcxQQR2S9klU5ZFcMX4mO61Aw0_iJ1-WZ7FtQX5phbtXr0F5cljz3A4UdVqRMcgSiGDoaCXCKQwrkaolpuXMu2J4_F2aqgs35BHa2w34FYa6Zjo_bU-p58LdkPAHEdqx_I9YXNxDqRf2SeD3XEMq1Trc64X6FzniAe1sFAvc8_BLXVIJYmCBbmp1p9NUUdBxFho0gMD43O_9h2EfpBEhpTlpTklqhnA/http%3A%2F%2Fwww.iit.cnr.it%2Fmario.loffredo>
#pleasestayathome

---

From: Mario Loffredo <[email-masked]>
Date: Wed, 17 Jun 2020 16:14:47 +0200

Hi Scott,

Inviato da iPhone

> Il giorno 17 giu 2020, alle ore 15:34, Hollenbeck, Scott <[email-masked]> ha scritto:
> 
> 
>  
>  
> [SAH] Suggestion: “A partial string search MUST NOT include more than one asterisk.”

Agreed.